Skip to main content

Convert Lead to Applicant

POST 

/prove/convert-lead

Promotes a Prove LEAD record to a full APPLICANT record. The Prove engine creates a LEAD when possession is initiated for a new consumer; the record remains a lead until this endpoint is called.

Call this once, immediately before (or as part of) the FastApp final submit so the applicant only appears in the applicants list after the consumer has completed their credit application.

The operation is idempotent — if the lead has already been promoted a 200 is still returned.

Request

Responses

Lead promoted to applicant (or was already an applicant)

Response Headers
    Agc-Applicant-Id

    The applicant id

    Agc-Api-Version

    We update the API major version whenever we introduce breaking changes. Internally, we update minor and patch versions whenever we add functionality and backward-compatible updates